Name:           sqljet
Version:        1.1.7
Release:        %mkrel 1
Summary:        Pure Java SQLite

Group:          Development/Java
License:        GPLv2
URL:            http://sqljet.com/
Source0:        http://sqljet.com/files/%{name}-%{version}-src.zip

Source2:        %{name}-browser.sh
Source3:        %{name}-browser.desktop
Source4:        %{name}-build.xml
Source5:        %{name}-pom.xml

BuildRequires:  ant
BuildRequires:  antlr
BuildRequires:  antlr3-java
BuildRequires:  antlr3-tool
BuildRequires:  easymock2
BuildRequires:  netbeans-platform
BuildRequires:  java-devel >= 1.6
BuildRequires:  junit
BuildRequires:  desktop-file-utils
BuildRequires:  stringtemplate4
Requires:       antlr3-java
BuildArch: noarch

%description
SQLJet is an independent pure Java implementation of a popular SQLite database
management system. SQLJet is a software library that provides API that enables
Java application to read and modify SQLite databases.

%package        browser
Group:          Development/Java
Summary:        SQLJet database browser
Requires:       %{name} = %{version}
Requires:       netbeans-platform

%description    browser
Utility for browsing SQLJet/SQLite databases.

%package        javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description    javadoc
API documentation for %{name}.


%prep
%setup -q -n %{name}-%{version}

find \( -name '*.class' -o -name '*.jar' \) -delete

rm -rf gradlew.bat gradlew gradle

cp %{SOURCE4} build.xml

cat > sqljet.build.properties <<EOF
sqljet.version.major=1
sqljet.version.minor=1
sqljet.version.micro=4
sqljet.version.build=local

antlr.version=3.1.3
sqlite.version=3.6.10
EOF


%build
export CLASSPATH=$(build-classpath antlr3-runtime antlr3 antlr stringtemplate4 easymock2 junit4)

ant jars osgi javadoc


%install
# jars
mkdir -p %{buildroot}%{_javadir}
install -m 755  build/sqljet.jar %{buildroot}%{_javadir}/%{name}.jar
install -m 755  build/sqljet-browser.jar  %{buildroot}%{_javadir}/%{name}-browser.jar

# maven metadata
cp %{SOURCE5} pom.xml
ant pom
mkdir -p %{buildroot}%{_mavenpomdir}
cp pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadocs
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp build/javadoc %{buildroot}%{_javadocdir}/%{name}

# browser scripts
install -d %{buildroot}%{_bindir}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/%{name}-browser

desktop-file-install  --dir=%{buildroot}%{_datadir}/applications \
                      %{SOURCE3}

desktop-file-validate %{buildroot}/%{_datadir}/applications/sqljet-browser.desktop

%files
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom
%doc LICENSE.txt README.txt CHANGES.txt
%{_javadir}/%{name}.jar

%files browser
%doc LICENSE.txt
%{_javadir}/%{name}-browser.jar
%{_bindir}/%{name}-browser
%{_datadir}/applications/%{name}-browser.desktop

%files javadoc
%doc LICENSE.txt
%doc %{_javadocdir}/*



%changelog
* Mon Jan 06 2014 dmorgan <dmorgan> 1.1.7-1.mga4
+ Revision: 565006
- New version

* Fri Oct 18 2013 umeabot <umeabot> 1.1.4-5.mga4
+ Revision: 518666
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1.4-4.mga3
+ Revision: 382578
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 dmorgan <dmorgan> 1.1.4-3.mga3
+ Revision: 337432
- New version

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0.4-5.mga1
+ Revision: 93144
- Rebuild after bootstrapping
- imported package sqljet


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Alexander Kurtakov <akurtako@redhat.com> 1.0.4-1
- Update to new upstream version.

* Tue Dec 21 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0.3-4
- Fix versions in pom.xml file causing parsing problems

* Tue Dec 14 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0.3-3
- Versionless jars
- Changes accroding to new guidelines (no buildroot/clean section)
- Add license to javadoc subpackage
- Install maven metadata

* Sat Aug 28 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.3-2
- Fix build with latest netbeans.
- Fix sqljet-browser run script.

* Tue May 18 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.3-1
- New version.

* Wed Apr 21 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.2-3
- Fix build with new antlr3.
- Fix startup script for the browser.
- Add missing semicolon in the desktop file.

* Mon Feb 15 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.2-2
- Rebuild for netbeans-platform update. (rhbz#564657)

* Thu Jan 14 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.2-1
- Update to 1.0.2.

* Thu Dec 3 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0.1-3
- Require antlr3.

* Mon Nov 30 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0.1-2
- Fix build and review comments.

* Thu Nov 26 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0.1-1
- Initial package.
